!*******************************************************************************
!$RCSfile$
!$Revision$
!$Date$
!*******************************************************************************
MODULE surface_fd

  TYPE  sfield_puff  !Surface puff structure
    SEQUENCE
    INTEGER nblocks                        ! No. of blocks influenced
    INTEGER, DIMENSION(:), POINTER :: iblk ! Block pointers
    INTEGER icld                           ! Gamma cloudshine field
  END TYPE  sfield_puff

  TYPE  sfield_block  !Surface block structure
    SEQUENCE
    INTEGER type                           ! Block type
    INTEGER field                          ! First field location
    INTEGER id                             ! Material/effects ID
    INTEGER flags                          ! Tot/Haz flags
    INTEGER iaux                           ! Aux structure ID
    CHARACTER(64) name                     ! Block name
  END TYPE  sfield_block

  TYPE  sfield_effect  !Surface effects block structure
    SEQUENCE
    INTEGER type
    INTEGER id
  END TYPE  sfield_effect

END MODULE surface_fd

MODULE surface_dose_fd
END MODULE surface_dose_fd


